VBILine (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Class VBILine

- java.lang.Object
- - tv.amwa.maj.io.mxf.VBILine

-     public class VBILine
      extends Object

  A single line of VBI data.

  See Also:
    `VBISource`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VBILine(int field, int lineNumber, VBIWrappingType wrappingType, VBISampleCoding sampleCoding)`
    `VBILine(int field, int lineNumber, VBIWrappingType wrappingType, VBISampleCoding sampleCoding, short sampleCount, ByteBuffer lineData)`
    `VBILine(int lineNumber, VBIWrappingType wrappingType, VBISampleCoding sampleCoding)`
    `VBILine(int lineNumber, VBIWrappingType wrappingType, VBISampleCoding sampleCoding, short sampleCount, ByteBuffer lineData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataSize()`
    `int` | `getFullDataSize()`
    `void` | `setData(short sampleCount, ByteBuffer lineData)`
    `void` | `writeData(byte[] buffer)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VBILine

          public VBILine(int lineNumber,
                         VBIWrappingType wrappingType,
                         VBISampleCoding sampleCoding)

    - #### VBILine

          public VBILine(int field,
                         int lineNumber,
                         VBIWrappingType wrappingType,
                         VBISampleCoding sampleCoding)

    - #### VBILine

          public VBILine(int lineNumber,
                         VBIWrappingType wrappingType,
                         VBISampleCoding sampleCoding,
                         @UInt16
                         short sampleCount,
                         ByteBuffer lineData)

    - #### VBILine

          public VBILine(int field,
                         int lineNumber,
                         VBIWrappingType wrappingType,
                         VBISampleCoding sampleCoding,
                         @UInt16
                         short sampleCount,
                         ByteBuffer lineData)

  - ### Method Detail

    - #### setData

          public void setData(@UInt16
                              short sampleCount,
                              ByteBuffer lineData)

    - #### getDataSize

          public int getDataSize()

    - #### getFullDataSize

          public int getFullDataSize()

    - #### writeData

          public void writeData(@UInt8Array
                                byte[] buffer)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.